# Enum BodyType

java.lang.Object
java.lang.Enum<BodyType>
com.codename1.gaming.physics.BodyType

All Implemented Interfaces:
  `Comparable<BodyType>`

public enum BodyType extends Enum<BodyType>
The kind of a `PhysicsBody`.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DYNAMIC`
  Fully simulated: moved by forces, gravity and collisions.
  `KINEMATIC`
  Moved by the application (via velocity) but not affected by forces or collisions -- moving platforms, elevators.
  `STATIC`
  Never moves, infinite mass -- ground, walls, platforms.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BodyType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static BodyType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STATIC

    public static final BodyType STATIC
    Never moves, infinite mass -- ground, walls, platforms.

  - ### KINEMATIC

    public static final BodyType KINEMATIC
    Moved by the application (via velocity) but not affected by forces or collisions -- moving platforms, elevators.

  - ### DYNAMIC

    public static final BodyType DYNAMIC
    Fully simulated: moved by forces, gravity and collisions.

- ## Method Details

  - ### values

    public static BodyType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static BodyType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null